'use strict';

const index = require('./index-d9c05f65.js');

/*
 Stencil Client Patch Browser v2.17.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('blocks.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["my-component.cjs",[[1,"my-component",{"first":[1],"middle":[1],"last":[1]}]]],["token-select.cjs",[[1,"token-select"]]],["mint-button_5.cjs",[[1,"struct-core",{"contractAddress":[1,"contract-address"],"testnet":[4],"type":[1],"walletBtnText":[1,"wallet-btn-text"],"mintBtnText":[1,"mint-btn-text"],"soldOutText":[1,"sold-out-text"],"loading":[32],"block":[32],"soldOut":[32],"selectedAmount":[32]},[[0,"amountChanged","selectAmountChanged"],[2,"minted","updateTotalSupply"]]],[1,"mint-button"],[1,"quantity-selector",{"selectedAmount":[2,"selected-amount"],"maxAmount":[2,"max-amount"],"allocationLeft":[2,"allocation-left"]}],[1,"supply-display",{"totalSupply":[2,"total-supply"],"maxSupply":[2,"max-supply"],"personalSupply":[2,"personal-supply"]}],[1,"wallet-button",{"label":[1]}]]]], options);
});
