'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d9c05f65.js');

/*
 Stencil Client Patch Esm v2.17.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return index.promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return index.bootstrapLazy([["my-component.cjs",[[1,"my-component",{"first":[1],"middle":[1],"last":[1]}]]],["token-select.cjs",[[1,"token-select"]]],["mint-button_5.cjs",[[1,"struct-core",{"contractAddress":[1,"contract-address"],"testnet":[4],"type":[1],"walletBtnText":[1,"wallet-btn-text"],"mintBtnText":[1,"mint-btn-text"],"soldOutText":[1,"sold-out-text"],"loading":[32],"block":[32],"soldOut":[32],"selectedAmount":[32]},[[0,"amountChanged","selectAmountChanged"],[2,"minted","updateTotalSupply"]]],[1,"mint-button"],[1,"quantity-selector",{"selectedAmount":[2,"selected-amount"],"maxAmount":[2,"max-amount"],"allocationLeft":[2,"allocation-left"]}],[1,"supply-display",{"totalSupply":[2,"total-supply"],"maxSupply":[2,"max-supply"],"personalSupply":[2,"personal-supply"]}],[1,"wallet-button",{"label":[1]}]]]], options);
  });
};

exports.defineCustomElements = defineCustomElements;
