import { Component, h, Prop } from '@stencil/core';
export class SupplyDisplay {
  render() {
    return (h("div", { id: "supply-counter" },
      h("span", null, this.totalSupply),
      "/",
      h("span", null, this.maxSupply),
      h("span", null,
        "(",
        this.personalSupply,
        " left to mint)")));
  }
  static get is() { return "supply-display"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["supply-display.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["supply-display.css"]
  }; }
  static get properties() { return {
    "totalSupply": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "total-supply",
      "reflect": false
    },
    "maxSupply": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "max-supply",
      "reflect": false
    },
    "personalSupply": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "personal-supply",
      "reflect": false
    }
  }; }
}
