import { Component, h } from '@stencil/core';
export class MintButton {
  render() {
    return (h("button", { class: "button", type: "button", id: "mint", ref: el => (this.btn = el) },
      h("slot", null)));
  }
  static get is() { return "mint-button"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["mint-button.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["mint-button.css"]
  }; }
}
