import { Component, Prop, h, Element } from '@stencil/core';
export class WalletButton {
  render() {
    return (h("button", { type: "button", onClick: this.el.onclick },
      h("slot", null)));
  }
  static get is() { return "wallet-button"; }
  static get encapsulation() { return "shadow"; }
  static get properties() { return {
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "label",
      "reflect": false
    }
  }; }
  static get elementRef() { return "el"; }
}
