import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const WalletButton = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h("button", { type: "button", onClick: this.el.onclick }, h("slot", null)));
  }
  get el() { return this; }
}, [1, "wallet-button", {
    "label": [1]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["wallet-button"];
  components.forEach(tagName => { switch (tagName) {
    case "wallet-button":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, WalletButton);
      }
      break;
  } });
}

export { WalletButton as W, defineCustomElement as d };
